#!/bin/bash

# Copyright (c) 2013 Cloudera, Inc. All rights reserved.

# Time marker for both stderr and stdout
date; date 1>&2

cloudera_config=`dirname $0`
cloudera_config=`cd "$cloudera_config/../common"; pwd`
. ${cloudera_config}/cloudera-config.sh

# Attempt to find Java and place it in JAVA_HOME. The catalina.sh script expects
# to find it there.
locate_java_home

# Load the parcel environment
source_parcel_environment

set -x

echo "using $CDH_VERSION as CDH_VERSION"

if [ "solrinit" = "$1" ]; then
  # CDH-12906 - solrctl expects SOLR_HOME to point to solr libraries 
  # instead of /var/lib/solr
  export SOLR_HOME=$CDH_SOLR_HOME
  exec $CDH_SOLR_HOME/bin/solrctl.sh --zk $SOLR_ZK_ENSEMBLE init
fi

export CATALINA_HOME=$TOMCAT_HOME
export CATALINA_BASE=$CDH_SOLR_HOME/server
export CATALINA_TMPDIR=$PWD/temp
export CATALINA_OUT=$SOLR_LOG/solr.out
export SOLR_RUN=$PWD
export SOLR_LOG4J_CONFIG=$CONF_DIR/log4j.properties
export SOLR_HDFS_CONFIG=$CONF_DIR/hadoop-conf

if [ "$SOLR_SENTRY_ENABLED" = "true" ]; then
  export SOLR_AUTHORIZATION_SENTRY_SITE=$CONF_DIR/sentry-site.xml
fi

# Create temp directory for Catalina
mkdir -p $CATALINA_TMPDIR
exec $CDH_SOLR_HOME/bin/solrd run

